Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4717 - Impossibility to export volumes via NFS
Summary: Impossibility to export volumes via NFS
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-server
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-26 08:17 UTC by besserve
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-26 18:57:16 UTC


Attachments (Terms of Use)

Description besserve 1999-08-26 08:17:57 UTC
I just installed Linux RedHat 6.0 (kernel 2.2.5) on a
Pentium II, 350Mhz (Hot Plug) ; I want to use this computer
as a file
server to make saves from other computers (IBM Risc 6000,
OSF Digital, Ultrix, Sun and so on) ; The Linux computer
(named
"arcobs" gets 256Mo ram and six SCSI disks (the first for
the system and the others to export via NFS to the client
computers.

The network is OK and particularly NFS ; so I can mount a
remote volume on the files Server (arcobs), but on the
remote
computers I get the following message :
"NFS3 RFS3_FSINFO failed for server arcobs : RPC :
Program/version mismatch /d_AER on /usr/d_SAV1 : I/O error".

The /etc/exports in "arcobs" is like this :
/d_AER    opgc10(rw,no_root_squash)

d_AER being the volume I want to export and opgc10 the
remote computer on which I mount d_AER (the mount point
being
/usr/d_SAV1 in the fstab of opgc10).

It seems that the RedHat kernel nfs server is announcing nfs
version 3, but it does not implement version 3.

Comment 1 richieb 1999-08-26 13:42:59 UTC
I'm having NFS problems as well on brand new RH 6.0 machine.
It uses kernel 2.2.9. When NFS is started at boot time I get
this error:

Aug 25 16:24:41 chippewa nfs: Starting NFS services:  succeeded
Aug 25 16:24:42 chippewa nfs: rpc.statd startup succeeded
Aug 25 16:24:42 chippewa nfs: rpc.rquotad startup succeeded
Aug 25 16:24:42 chippewa nfs: rpc.mountd startup succeeded
Aug 25 16:24:43 chippewa kernel: Installing knfsd (copyright (C) 1996
okir@monad.swb.de).
Aug 25 16:24:43 chippewa rpc.nfsd: nfssvc: Operation not permitted
Aug 25 16:24:43 chippewa nfs: rpc.nfsd startup failed


nfsd fails to start. I can mount nfs volumes on my linux box,
but I am unable to export anything.

BTW, I've set up the machine to be a NIS+ client as it lives
on a SUN network. NIS+ seems to work OK.

...richie

Comment 2 Jeff Johnson 1999-08-26 18:57:59 UTC
Upgrade to the latest knfsd-1.4.7 in Raw Hide. Alternatively, you
can add "--no-nfs-version 3" to the daemon startup.

Comment 3 hughett 1999-10-07 18:44:59 UTC
Based on my experience with a similar problem (Bugzilla #5689), the
problem here is that the kernel-land NFS server is not configured into
the kernel or is configured as a module.  You need to recompile the
kernel configured to ask about experimental stuff and to include
"NFS Server Support (NEW)" built into the kernel; including it as
a module was not good enough.

When I tried this, it got rid of the "nfssvc: Operation not permitted"
error but revealed another bug, at which point I decided to forget
kernel-mode NFS and fall back to the tried-and-true user-land NFS
server.  That worked for me; if you want to do the same, see #5689
for the details.


Note You need to log in before you can comment on or make changes to this bug.